Magick++ 7.1.0

Public Member Functions | List of all members
Magick::PathLinetoHorizontalAbs Class Reference

`#include <Drawable.h>`

Inheritance diagram for Magick::PathLinetoHorizontalAbs:
[legend]
Collaboration diagram for Magick::PathLinetoHorizontalAbs:
[legend]

## Public Member Functions
| PathLinetoHorizontalAbs (double x_)
| ~PathLinetoHorizontalAbs (void)
void | operator() (MagickCore::DrawingWand *context_) const
VPathBase * | copy () const
void | x (double x_)
double | x (void) const
Public Member Functions inherited from Magick::VPathBase
| VPathBase (void)
virtual | ~VPathBase (void)

## Detailed Description

Definition at line 2973 of file Drawable.h.

## Constructor & Destructor Documentation

## ◆ PathLinetoHorizontalAbs()

Magick::PathLinetoHorizontalAbs::PathLinetoHorizontalAbs | ( | double | x_ | ) |
| inline

Definition at line 2976 of file Drawable.h.

## ◆ ~PathLinetoHorizontalAbs()

Magick::PathLinetoHorizontalAbs::~PathLinetoHorizontalAbs | ( | void |  | ) |

Definition at line 2381 of file Drawable.cpp.

## Member Function Documentation

## ◆ copy()

Magick::VPathBase * Magick::PathLinetoHorizontalAbs::copy | ( |  | ) | const
| virtual

Implements Magick::VPathBase.

Definition at line 2389 of file Drawable.cpp.

## ◆ operator()()

void Magick::PathLinetoHorizontalAbs::operator() | ( | MagickCore::DrawingWand * | context_ | ) | const
| virtual

Implements Magick::VPathBase.

Definition at line 2385 of file Drawable.cpp.

## ◆ x() [1/2]

void Magick::PathLinetoHorizontalAbs::x | ( | double | x_ | ) |
| inline

Definition at line 2989 of file Drawable.h.

## ◆ x() [2/2]

double Magick::PathLinetoHorizontalAbs::x | ( | void |  | ) | const
| inline

Definition at line 2993 of file Drawable.h.

The documentation for this class was generated from the following files:

- Drawable.h
- Drawable.cpp